Subject: RE: [Sipping] Screened From: and Privacy

From: "Mark Watson"<[email-masked]>
Date: Thu, 18 Apr 2002 12:42:20 +0100

> 
>  > If your client if SIP-compliant, then it will insert 
> "Anonymous" in the
>  > display string, and _something meaningless_ in the uri.
> 
> none of the UAs that i have seen inserts something meaningless in
> the from uri if the user sets the display string is anonymous.  it is
> "should" in the spec and looks like every UA implementer allows the
> user to determine what to do, which is a good thing.
>

OK, you know more about the clients out there than I do. But I would expect
clients to have a simple means for a user to indicate that a given session
should be anonymous - a special key, check-box, whatever, depending on the
form-factor/UI. I would be surprised if the UA still included the real uri
if the User checked this box.

It does not surprise me that UAs _allow_ you to send Anonymous along with
your URI.

>  > Your proxy can determine the client identity during the 
> Authentication
>  > process. The Network Asserted Identity field then allows 
> the identity to be
>  > communicated to the Gateway.
> 
> if you mean that the proxy can verify who the user is, sure, it does
> that via digest authentication.  however, that doesn't mean that the
> proxy would know what from uri the user would like to use, 
> because as i
> have again said far too many times already, a single user can have any
> number of valid from uris.
> 

Yes, 3GPP has this requirement too. But it is a slightly separate question
from the NAI itself. If we follow the SHOULD in the SIP specification about
the From uri being meaningless when the user requests privacy, then another
field is needed to allow the user to choose which identity will be used for
the Network Asserted Identity out of a particular set.

...Mark

---

From: [email-masked]
Date: Thu, 18 Apr 2002 15:01:30 +0300

> the Network Asserted Identity out of a particular set.

you could define another header field for that purpose, but in the
meanwhile, i need to be able to run my sip service with CURRENT UAs,
proxies, and sip/ss7 gws all of which today support the from uri +
display string trick as i have described.  since my basic rule is "if it
not broken, don't fix it", i'm not interested to change the current
working practice just for the sake of it.

-- juha

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP